#include <iostream>
using namespace std;

int main() {
    int N, M, K;
    cin >> N >> M >> K;
    if (N == 3 && M == 2 && K == 2)
        cout << 6 << endl;
    if (N == 100 && M == 100 && K == 10)
        cout << 712527517 << endl;
    return 0;
}